/*         To mark the specified note as never having been opened         */
/*                          Parameters: note_file                         */
/*    InnoVal Systems Solutions, Inc., and the authors cannot be held     */
/*   responsible for damage that might occur while using this program.    */
/*                         Use at your own risk.                          */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
signal on syntax name NoRexx
call SysLoadFuncs
signal on syntax name Syntax
'@ECHO OFF'
parse arg filename
if pos('?',filename)>0 | filename='-h' | filename='-H' | ,
   filename='/h' | filename='/H' | filename='' then do
   say
   say 'This program marks the specified note file as "never opened".'
   exit
end
say
call sysgetea filename,"POPNOTEBUFFER",variable
if variable="VARIABLE" | variable='' then do
   say "File" filename "does not exist or has no PopNoteBuffer EA."
   exit
end
parse var variable one '09'x two '09'x three '09'x four '09'x five '09'x six '09'x seven '09'x attributes '09'x nine
parse var attributes ten 2 opened 3 eleven
if opened=' ' then do
   say "The specified note had never been opened."
   exit
end
attributes=ten||' '||eleven
variable=one||'09'x||two||'09'x||three||'09'x||four||'09'x||five||'09'x||six||'09'x||seven||'09'x||attributes||'09'x||nine
call sysputea filename,"POPNOTEBUFFER",variable
say 'Note file' filename 'marked as "never opened".'
exit
Syntax:
  say 'Error' rc 'in line' sigl':' errortext(rc)
  say sigl':' sourceline(sigl)
  exit
return
NoRexx:
   say 'Unable to load the REXXUtil functions.  Either the REXXUTIL.DLL file'
   say 'is not on the LIBPATH or REXX support is not installed on this system.'
   exit
return
